light-mode-image
Learn
API ReferenceInboxes

Create an inbox

Roles

adminissuermanaged-issuer

Analytics Events

MESSAGING_INBOX_CREATE_STARTMESSAGING_INBOX_CREATE_SUCCESSMESSAGING_INBOX_CREATE_FAIL
POST/v1/messaging/inboxes

Creates an inbox that can register DIDs and then hold messages sent to those DIDs service points.

Analytic events

  • MESSAGING_INBOX_CREATE_START
  • MESSAGING_INBOX_CREATE_SUCCESS
  • MESSAGING_INBOX_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Inbox configuration

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/messaging/inboxes" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string"}

How would you rate this page?